#define LEN_MAX 30

// STRUCTURES PARTIE 1
typedef struct MaillonDept {
  char departement[LEN_MAX];
  int nbP;
  char responsable[LEN_MAX];
  struct MaillonDept* suiv;
} MaillonDept;

typedef MaillonDept* ListeDept;

typedef struct {
  char ville[LEN_MAX];
  ListeDept ldept;
} VilleIUT;

// STRUCTURES PARTIE 2
typedef struct {
    char ville[LEN_MAX], departement[LEN_MAX];
    int decision, validation;
} Candidature;

typedef Candidature** ListeCandidatures;

typedef struct {
    int id;
    char nom[LEN_MAX], prenom[LEN_MAX];
    float moyenneMath, moyenneFrancais, moyenneAnglais, moyenneSpecialite;
    int nbCandidatures;
    ListeCandidatures listeCandidatures;
} Candidat;

typedef Candidat** ListeCandidats;